# class RSS::Rss::Channel::Item::Source

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 319
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.url = args[0]
        self.content = args[1]
      end
    end

### Private Instance Methods

maker_target(item) click to toggle source

    # File lib/rss/0.9.rb, line 330
    def maker_target(item)
      item.source
    end

setup_maker_attributes(source) click to toggle source

    # File lib/rss/0.9.rb, line 334
    def setup_maker_attributes(source)
      source.url = url
      source.content = content
    end